function x=tridiag(l,d,u,f)
% Eliminazione di Gauss per matrice tridiagonale con
% diag principale d, lowerdiag l e upperdiag u, rhs f
n=length(f);
l=[0 l];
for i=2:n
    d(i)=d(i)-u(i-1)*l(i)/d(i-1);
    f(i)=f(i)-f(i-1)*l(i)/d(i-1);
end
% risoluzione all'indietro
x(n)=f(n)/d(n);
for i=n-1:-1:1
    x(i)=(f(i)-u(i)*x(i+1))/d(i);
end
